#include "MegunoLink.h"
#include "CommandHandler.h"

boolean RadioState = false;

CommandHandler<> SerialCommandHandler;


void Cmd_RadioButtonState(CommandParameter &Parameters)
{
  RadioState = Parameters.NextParameterAsInteger();
  if(RadioState)
  {
    Serial.println("Radio Button: On");
  }
  else
  {
    Serial.println("Radio Button: Off");
  }
}

void setup()
{
  Serial.begin(9600);
  Serial.println("MegunoLink Pro Radio Button Example");
  Serial.println("-----------------------------");
  
  SerialCommandHandler.AddCommand(F("Radio"), Cmd_RadioButtonState);
  
}

void loop()
{
  SerialCommandHandler.Process();
}
